# Method: customers.submitVendorReportIdMapping

- [HTTP request](https://developers.google.com/ads-data-hub/reference/rest/v1/customers/submitVendorReportIdMapping#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/ads-data-hub/reference/rest/v1/customers/submitVendorReportIdMapping#body.PATH_PARAMETERS)
- [Request body](https://developers.google.com/ads-data-hub/reference/rest/v1/customers/submitVendorReportIdMapping#body.request_body)
  - [JSON representation](https://developers.google.com/ads-data-hub/reference/rest/v1/customers/submitVendorReportIdMapping#body.request_body.SCHEMA_REPRESENTATION)
- [Response body](https://developers.google.com/ads-data-hub/reference/rest/v1/customers/submitVendorReportIdMapping#body.response_body)
- [Authorization scopes](https://developers.google.com/ads-data-hub/reference/rest/v1/customers/submitVendorReportIdMapping#body.aspect)

Starts ADH import of a specified BigQuery table populated with the mapping between customer defined report ID and Google campaign ID. This is called by the customer to trigger ADH to import the mapping.

### HTTP request

`POST https://adsdatahub.googleapis.com/v1/{customer=customers/*}:submitVendorReportIdMapping`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `customer` | `string` Required. Ads Data Hub customer making the request. This is in the form of 'customers/\[customerId\]'. e.g. 'customers/123'. |

### Request body

The request body contains data with the following structure:

| JSON representation |
|---|
| ``` { "date": { object (`https://developers.google.com/ads-data-hub/reference/rest/v1/Date`) }, "sourceTable": string, "instance": string, "metric": enum (`https://developers.google.com/ads-data-hub/reference/rest/v1/customers.adsDataLinks#Metric`) } ``` |

| Fields ||
|---|---|
| `date` | ``object (`https://developers.google.com/ads-data-hub/reference/rest/v1/Date`)`` Required. Date that the daily report ID mapping is for. |
| `sourceTable` | `string` Required. Source BigQuery table for query results in the format 'project.dataset.table_name'. The project, dataset, and table_name must all be provided explicitly. Table must have the following columns: date report_date, string vendorClientId, string vendor_reporting_id, string entity_type, int entityId. For more details, see Report ID Mapping Schema on ADH Dev Site: <https://developers.google.com/ads-data-hub/confidential/brandmeasurement/reach/report_id_mapping_schema> |
| `instance` | `string` Optional. The name of the submission feed instance. This shouldn't be populated for the production ID mapping feed, but can be filled out with a prearranged instance name when a vendor works with Google to test a new or alternate version of their submission feed. |
| `metric` | ``enum (`https://developers.google.com/ads-data-hub/reference/rest/v1/customers.adsDataLinks#Metric`)`` Optional. Metric which the table is reporting. Defaults to `https://developers.google.com/ads-data-hub/reference/rest/v1/customers.adsDataLinks#Metric.ENUM_VALUES.REACH` if not populated. |

### Response body

If successful, the response body contains an instance of `https://developers.google.com/ads-data-hub/reference/rest/v1/operations#Operation`.

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/adsdatahub`